/// <reference types="cypress" />
import { EasyNetworkStub } from 'easy-network-stub';
export declare class CypressEasyNetworkStub extends EasyNetworkStub {
    /**
     * A class to intercept and stub all calls to a certain api path.
     * @param urlMatch The match for all request urls that should be intercepted.
     * All non-stubbed calls that match this interceptor will throw an error
     */
    constructor(urlMatch: string | RegExp);
    /**
     * Call this in your beforeEach hook to start using the stub.
     * @returns The cypress chainable to chain to and to have it include itself into an existing chain.
     */
    init(): Cypress.Chainable<null>;
}
