"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CypressEasyNetworkStub = void 0;
const easy_network_stub_1 = require("easy-network-stub");
class CypressEasyNetworkStub extends easy_network_stub_1.EasyNetworkStub {
    /**
     * A class to intercept and stub all calls to a certain api path.
     * @param urlMatch The match for all request urls that should be intercepted.
     * All non-stubbed calls that match this interceptor will throw an error
     */
    constructor(urlMatch) {
        super(urlMatch);
    }
    /**
     * Call this in your beforeEach hook to start using the stub.
     * @returns The cypress chainable to chain to and to have it include itself into an existing chain.
     */
    init() {
        return this.initInternal({
            failer: error => assert.fail(error instanceof Error ? error.message : error),
            interceptor: (baseUrl, handler) => {
                return cy.intercept({ url: baseUrl }, (req) => __awaiter(this, void 0, void 0, function* () {
                    yield handler({
                        url: req.url,
                        method: req.method,
                        headers: req.headers,
                        destroy: () => req.destroy(),
                        reply: reply => req.reply(reply),
                        body: req.body
                    });
                }));
            }
        });
    }
}
exports.CypressEasyNetworkStub = CypressEasyNetworkStub;
//# sourceMappingURL=cypress-easy-network-stub.js.map